# collada.scene.MatrixTransform

class collada.scene.MatrixTransform(matrix, xmlnode=None)

  Contains a matrix transformation as defined in the collada <matrix> tag.

  __init__(matrix, xmlnode=None)

    Creates a matrix transformation

    Parameters:

      - matrix (numpy.array) – This should be an unshaped numpy array of floats of length 16

      - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(matrix[, xmlnode]) | Creates a matrix transformation
  `load`(collada, node) | Load and return a class instance from an XML node.
  `save`() | Put all the data to the internal xml node (xmlnode) so it can be serialized.

  Attributes

  `xmlnode` | ElementTree representation of the transform.
  `matrix` | The resulting transformation matrix.